opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opensaml::saml2md::CacheableSAMLObject Class Reference

Base class for metadata objects that feature a cacheDuration attribute. More...

`#include <saml/saml2/metadata/Metadata.h>`

Inheritance diagram for opensaml::saml2md::CacheableSAMLObject:

## Public Member Functions
| DECL_DATETIME_ATTRIB (CacheDuration, CACHEDURATION)

## Detailed Description

Base class for metadata objects that feature a cacheDuration attribute.

The documentation for this class was generated from the following file:

- saml/saml2/metadata/Metadata.h